> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve valuation history

> Retrieve an account's valuation time series for the requested period. Suitable for charting an account's valuation over time.



## OpenAPI

````yaml /openapi.json get /accounts/{account_id}/valuation-history
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com
security: []
tags:
  - description: Retrieve accounts, statements, and account documents.
    name: accounts
    x-group: Accounts
  - description: Read the audit trail of platform activity.
    name: activity
    x-group: Activity
  - description: Obtain OAuth access tokens for the Engine API.
    name: auth
    x-group: Authentication
  - description: Inspect the authenticated user or service actor.
    name: identity
    x-group: Identity
  - description: Retrieve fee schedules and billing information.
    name: billing
    x-group: Billing
  - description: Browse instruments and tradable products.
    name: catalog
    x-group: Catalog
  - description: Track onboarding applications through completion.
    name: onboarding
    x-group: Onboarding
  - description: Manage customer records and related person data.
    name: customers
    x-group: Customers
  - description: List platform events and inspect individual occurrences.
    name: events
    x-group: Events
  - description: Read positions, transactions, and account holdings.
    name: holdings
    x-group: Holdings
  - description: Retrieve legal agreements and required disclosures.
    name: legal-documents
    x-group: Legal Documents
  - description: Access prices and market data for instruments.
    name: market-data
    x-group: Market Data
  - description: Manage deposits, withdrawals, and funding accounts.
    name: payments
    x-group: Payments
  - description: Retrieve returns, earnings, and performance metrics.
    name: performance
    x-group: Performance
  - description: Place and manage orders, quotes, and trades.
    name: trading
    x-group: Trading
  - description: Read position and account valuations over time.
    name: valuation
    x-group: Valuation
  - description: Configure webhook endpoints and inspect deliveries.
    name: webhooks
    x-group: Webhooks
  - description: Upload files and retrieve stored documents.
    name: files
    x-group: Files
paths:
  /accounts/{account_id}/valuation-history:
    get:
      tags:
        - valuation
      summary: Retrieve valuation history
      description: >-
        Retrieve an account's valuation time series for the requested period.
        Suitable for charting an account's valuation over time.
      operationId: >-
        get_account_history_time_series_accounts__account_id__valuation_history_get
      parameters:
        - description: The ID of the account to retrieve the valuation history for.
          in: path
          name: account_id
          required: true
          schema:
            description: The ID of the account to retrieve the valuation history for.
            title: Account Id
            type: string
        - description: >-
            The period start (in [ISO
            8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
            format). Note the period is interpreted as a closed interval with
            both `period_start` and `period_end` included.
          in: query
          name: period_start
          required: true
          schema:
            description: >-
              The period start (in [ISO
              8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
              format). Note the period is interpreted as a closed interval with
              both `period_start` and `period_end` included.
            examples:
              - period_start=2025-11-12
            format: date
            title: Period Start
            type: string
        - description: >-
            The period end (in [ISO
            8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
            format). Note the period is interpreted as a closed period is
            interpreted as a closed interval with both `period_start` and
            `period_end` included.
          in: query
          name: period_end
          required: false
          schema:
            description: >-
              The period end (in [ISO
              8601](https://www.iso.org/iso-8601-date-and-time-format.html) date
              format). Note the period is interpreted as a closed period is
              interpreted as a closed interval with both `period_start` and
              `period_end` included.
            examples:
              - period_end=2025-11-12
            format: date
            title: Period End
            type: string
            x-remove-null-from-type-union: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValuationHistory'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    ValuationHistory:
      properties:
        resolution:
          allOf:
            - $ref: '#/components/schemas/AccountHistoryResolution'
          description: The time interval between valuation points.
        series:
          description: The chronological valuation points as timestamp and value pairs.
          examples:
            - - - '2026-07-13T09:34:12Z'
                - '12345.67'
              - - '2026-07-14T09:34:12Z'
                - '12350.12'
          items:
            $ref: '#/components/schemas/SeriesPoint'
          title: Series
          type: array
      required:
        - resolution
        - series
      title: ValuationHistory
      type: object
    Error:
      properties:
        code:
          description: A machine-readable error code.
          title: Code
          type: string
        context:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          description: An optional object for adding extra context to the error.
          title: Context
          type: object
          x-remove-null-from-type-union: true
        detail:
          description: A human-readable description of the error.
          title: Detail
          type: string
        docs:
          description: A URL to documentation about this error code.
          title: Docs
          type: string
          x-remove-null-from-type-union: true
        params:
          description: An optional list of params that failed validation.
          items:
            $ref: '#/components/schemas/InvalidParam'
          title: Params
          type: array
          x-remove-null-from-type-union: true
      required:
        - detail
        - code
      title: Error
      type: object
    AccountHistoryResolution:
      const: day
      description: The point aggregation resolution of the history time series.
      properties: {}
      title: AccountHistoryResolution
      type: string
    SeriesPoint:
      maxItems: 2
      minItems: 2
      prefixItems:
        - format: date-time
          type: string
        - type: string
      properties: {}
      title: SeriesPoint
      type: array
    InvalidParam:
      properties:
        code:
          description: A machine-readable error code.
          title: Code
          type: string
        detail:
          description: Human-readable detail for error.
          title: Detail
          type: string
        path:
          description: Path to the field name (or index if a list) that errored.
          items:
            anyOf:
              - type: integer
              - type: string
          title: Path
          type: array
      required:
        - path
        - detail
        - code
      title: InvalidParam
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````